xine-lib: sdpplin_stream_t Struct Reference

xine-lib 1.2.12

Data Fields
sdpplin_stream_t Struct Reference

`#include <sdpplin.h>`

## Data Fields
char * | id
uint16_t | stream_id
int | start_time
int | avg_bit_rate
int | max_bit_rate
int | avg_packet_size
int | max_packet_size
int | preroll
int | duration
char * | stream_name
int | stream_name_size
char * | mime_type
int | mime_type_size
char * | mlti_data
int | mlti_data_size
int | asm_rule_book_length
char * | asm_rule_book

## Field Documentation

## ◆ asm_rule_book

char* sdpplin_stream_t::asm_rule_book

Referenced by real_parse_sdp(), sdpplin_free_stream(), and sdpplin_parse_stream().

## ◆ asm_rule_book_length

int sdpplin_stream_t::asm_rule_book_length

## ◆ avg_bit_rate

int sdpplin_stream_t::avg_bit_rate

Referenced by real_parse_sdp(), and sdpplin_parse_stream().

## ◆ avg_packet_size

int sdpplin_stream_t::avg_packet_size

Referenced by real_parse_sdp(), and sdpplin_parse_stream().

## ◆ duration

int sdpplin_stream_t::duration

Referenced by real_parse_sdp(), and sdpplin_parse_stream().

## ◆ id

char* sdpplin_stream_t::id

Referenced by sdpplin_free_stream(), and sdpplin_parse_stream().

## ◆ max_bit_rate

int sdpplin_stream_t::max_bit_rate

Referenced by real_parse_sdp(), and sdpplin_parse_stream().

## ◆ max_packet_size

int sdpplin_stream_t::max_packet_size

Referenced by real_parse_sdp(), and sdpplin_parse_stream().

## ◆ mime_type

char* sdpplin_stream_t::mime_type

Referenced by real_parse_sdp(), sdpplin_free_stream(), and sdpplin_parse_stream().

## ◆ mime_type_size

int sdpplin_stream_t::mime_type_size

Referenced by sdpplin_parse_stream().

## ◆ mlti_data

char* sdpplin_stream_t::mlti_data

Referenced by real_parse_sdp(), sdpplin_free_stream(), and sdpplin_parse_stream().

## ◆ mlti_data_size

int sdpplin_stream_t::mlti_data_size

Referenced by real_parse_sdp(), and sdpplin_parse_stream().

## ◆ preroll

int sdpplin_stream_t::preroll

Referenced by real_parse_sdp(), and sdpplin_parse_stream().

## ◆ start_time

int sdpplin_stream_t::start_time

Referenced by real_parse_sdp(), and sdpplin_parse_stream().

## ◆ stream_id

uint16_t sdpplin_stream_t::stream_id

Referenced by real_parse_sdp(), sdpplin_parse(), and sdpplin_parse_stream().

## ◆ stream_name

char* sdpplin_stream_t::stream_name

Referenced by real_parse_sdp(), sdpplin_free_stream(), and sdpplin_parse_stream().

## ◆ stream_name_size

int sdpplin_stream_t::stream_name_size

Referenced by sdpplin_parse_stream().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/input/libreal/sdpplin.h